using System.Numerics;
using Encompass;
using MoonTools.Structs;

namespace PongFE.Messages
{
    public struct BallSpawnMessage : IMessage
    {
        public Position2D Position { get; }
        public Vector2 Velocity { get; }

        public BallSpawnMessage(Position2D position, Vector2 velocity)
        {
            Position = position;
            Velocity = velocity;
        }
    }
}
