using Encompass;

namespace PongFE.Messages
{
    public enum HitOrientation
    {
        Horizontal,
        Vertical
    }

    public struct CollisionMessage : IMessage
    {
        public Entity EntityA { get; }
        public Entity EntityB { get; }
        public HitOrientation HitOrientation;

        public CollisionMessage(Entity a, Entity b, HitOrientation hitOrientation)
        {
            EntityA = a;
            EntityB = b;
            HitOrientation = hitOrientation;
        }
    }
}
